package com.saye.hospitalgd.mapper.quzrtz;

import java.util.HashMap;
import java.util.List;

import com.saye.hospitalgd.model.BaseQuartzConfigEntity;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface BaseQuartzConfigMapper {

	public List<BaseQuartzConfigEntity> findAll(HashMap<Object, Object> map) throws Exception;

	public BaseQuartzConfigEntity findEntityById(String id) throws Exception;

	public void updateQuartzConfigByEntity(BaseQuartzConfigEntity quartzConfigEntity) throws Exception;

	public List<HashMap<Object, Object>> findMaxId() throws Exception;

	public void addQuartz(HashMap<Object, Object> addMap) throws Exception;

	public List<HashMap<Object, Object>> findOrderProjectList() throws Exception;

	public void addQuartzToSparePart(HashMap<Object, Object> addMap) throws Exception;

	public void deleteQuartzConfigById(String id) throws Exception;

	public void updateQuartzConfigById(HashMap<Object, Object> updateMap) throws Exception;



}
